import { FormProps } from 'antd';
import { IProps as ReactMetaformProps } from '../core/Form';
export interface IProps {
    initialValues?: ReactMetaformProps['values'];
    fields: ReactMetaformProps['fields'];
    layout?: FormProps['layout'];
    onSubmit: ReactMetaformProps['onSubmit'];
    formikProps?: Partial<ReactMetaformProps['formikProps']>;
    size?: 'small' | 'middle' | 'large';
    onAction?: ReactMetaformProps['onAction'];
}
declare const Form: ({ fields, onSubmit, formikProps, size, initialValues, onAction, layout }: IProps) => JSX.Element;
export default Form;
