import 'antd/dist/antd.variable.min.css';
export declare const Number: {
    (args: any): JSX.Element;
    args: {
        label: string;
        disabled: boolean;
        placeholder: string;
    };
};
export declare const Text: {
    (args: any): JSX.Element;
    args: {
        label: string;
        disabled: boolean;
        placeholder: string;
    };
};
export declare const Password: {
    (args: any): JSX.Element;
    args: {
        label: string;
        disabled: boolean;
        placeholder: string;
    };
};
export declare const Textarea: {
    (args: any): JSX.Element;
    args: {
        label: string;
        disabled: boolean;
        placeholder: string;
        rows: number;
    };
};
export declare const Image: {
    (args: any): JSX.Element;
    args: {
        label: string;
    };
};
export declare const File: {
    (args: any): JSX.Element;
    args: {
        label: string;
        accept: string;
    };
};
export declare const Date: {
    (args: any): JSX.Element;
    args: {
        label: string;
        disabled: boolean;
        placeholder: string;
        withTimePicker: boolean;
    };
};
export declare const Select: {
    (args: any): JSX.Element;
    args: {
        disabled: boolean;
        placeholder: string;
        label: string;
    };
};
export declare const Checkbox: {
    (args: any): JSX.Element;
    args: {
        label: string;
        disabled: boolean;
    };
};
export declare const DateRange: {
    (args: any): JSX.Element;
    args: {
        label: string;
        withTimePicker: boolean;
        smallSize: boolean;
    };
};
export declare const Multiselect: {
    (args: any): JSX.Element;
    args: {
        label: string;
        showFilterInput: boolean;
        showSelectedCounter: boolean;
    };
};
export declare const Autocomplete: {
    (): JSX.Element;
    args: {
        label: string;
        disabled: boolean;
    };
};
export declare const SegmentedSwitch: {
    (args: any): JSX.Element;
    args: {
        disabled: boolean;
        formLayout: string;
        size: string;
        alignRight: boolean;
        showIcon: boolean;
        showLabel: boolean;
    };
    argTypes: {
        formLayout: {
            options: string[];
            control: {
                type: string;
            };
        };
        size: {
            options: string[];
            control: {
                type: string;
            };
        };
    };
};
declare const _default: {
    title: string;
};
export default _default;
