"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var react_1 = __importDefault(require("react"));
var Checkbox = react_1.default.forwardRef(function (_a, ref) {
    var name = _a.name, label = _a.label, onChange = _a.onChange, value = _a.value, disabled = _a.disabled;
    return (react_1.default.createElement(antd_1.Checkbox, { disabled: disabled, name: name, ref: ref, checked: value, onChange: function (event) { return onChange === null || onChange === void 0 ? void 0 : onChange(event.target.checked); } }, label));
});
Checkbox.displayName = 'Checkbox';
exports.default = Checkbox;
