export interface IFileUploadProps {
    name: string;
    label?: string;
    error?: string;
    disabled?: boolean;
    value?: {
        name: string;
        data: string;
    };
    accept?: string;
    hideResults?: boolean;
    onChange: (value: IFileUploadProps['value']) => void;
}
declare const FileUpload: ({ name, label, accept, value, error, hideResults, onChange, disabled }: IFileUploadProps) => JSX.Element;
export default FileUpload;
