"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var react_1 = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var Wrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  border: 1px dashed #eee;\n  border-radius: 4px;\n  padding: 12px 0;\n  margin: 5px 0;\n  display: flex;\n  justify-content: center;\n\n  ", "\n\n  input[type='file'] {\n    display: none !important;\n  }\n"], ["\n  border: 1px dashed #eee;\n  border-radius: 4px;\n  padding: 12px 0;\n  margin: 5px 0;\n  display: flex;\n  justify-content: center;\n\n  ", "\n\n  input[type='file'] {\n    display: none !important;\n  }\n"])), function (props) {
    return props.hovered &&
        "\n    border-color: #007fff;\n  ";
});
var preventDragDefault = function (e) {
    e.preventDefault();
    e.stopPropagation();
};
var DropArea = function (_a) {
    var name = _a.name, multiple = _a.multiple, disabled = _a.disabled, label = _a.label, accept = _a.accept, props = __rest(_a, ["name", "multiple", "disabled", "label", "accept"]);
    var inputEl = (0, react_1.useRef)(null);
    var _b = (0, react_1.useState)(false), hovered = _b[0], setHovered = _b[1];
    var handleDragEnter = function (e) {
        preventDragDefault(e);
        if (disabled) {
            return;
        }
        setHovered(true);
    };
    var handleDragLeave = function (e) {
        preventDragDefault(e);
        if (disabled) {
            return;
        }
        setHovered(false);
    };
    var onChange = function (fileList) { return __awaiter(void 0, void 0, void 0, function () { return __generator(this, function (_a) {
        return [2 /*return*/, props.onChange(fileList)];
    }); }); };
    var handleDrop = function (e) { return __awaiter(void 0, void 0, void 0, function () {
        var fileList;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    preventDragDefault(e);
                    if (disabled) {
                        return [2 /*return*/];
                    }
                    fileList = e.dataTransfer.files;
                    return [4 /*yield*/, onChange(fileList)];
                case 1:
                    _a.sent();
                    setHovered(false);
                    return [2 /*return*/];
            }
        });
    }); };
    var handleSelectFile = function (e) { return __awaiter(void 0, void 0, void 0, function () {
        var _a, _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0: return [4 /*yield*/, onChange(((_a = e === null || e === void 0 ? void 0 : e.target) === null || _a === void 0 ? void 0 : _a.files) || undefined)];
                case 1:
                    _c.sent();
                    if ((_b = inputEl === null || inputEl === void 0 ? void 0 : inputEl.current) === null || _b === void 0 ? void 0 : _b.value) {
                        inputEl.current.value = '';
                    }
                    return [2 /*return*/];
            }
        });
    }); };
    var handleClick = function () { var _a; return (_a = inputEl.current) === null || _a === void 0 ? void 0 : _a.click(); };
    return (react_1.default.createElement(Wrapper, { hovered: hovered, onDragEnter: handleDragEnter, onDrop: handleDrop, onDragLeave: handleDragLeave, onDragOver: preventDragDefault },
        react_1.default.createElement(antd_1.Button, { size: "small", onClick: handleClick, disabled: disabled }, label),
        react_1.default.createElement("input", { ref: inputEl, onChange: handleSelectFile, accept: accept, type: "file", name: name, multiple: multiple })));
};
DropArea.defaultProps = {
    multiple: false,
    accept: undefined,
};
exports.default = DropArea;
var templateObject_1;
