"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var styled_components_1 = __importDefault(require("styled-components"));
var react_1 = __importDefault(require("react"));
var ImageWrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  border: 2px solid #eee;\n  margin: 4px 0;\n  background-image: url(", ");\n  width: 100px;\n  background-size: cover;\n  height: 100px;\n"], ["\n  position: relative;\n  border: 2px solid #eee;\n  margin: 4px 0;\n  background-image: url(", ");\n  width: 100px;\n  background-size: cover;\n  height: 100px;\n"])), function (_a) {
    var url = _a.url;
    return url;
});
var ButtonWrapper = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  transition: 0.5s ease;\n  opacity: 0;\n  position: absolute;\n  top: 50%;\n  left: 50%;\n  transform: translate(-50%, -50%);\n"], ["\n  transition: 0.5s ease;\n  opacity: 0;\n  position: absolute;\n  top: 50%;\n  left: 50%;\n  transform: translate(-50%, -50%);\n"])));
var Container = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: relative;\n\n  &:hover ", " {\n    opacity: 1;\n  }\n"], ["\n  position: relative;\n\n  &:hover ", " {\n    opacity: 1;\n  }\n"])), ButtonWrapper);
var ImagePreview = function (_a) {
    var base64 = _a.base64, onRemove = _a.onRemove;
    return (react_1.default.createElement("div", { style: { display: 'flex' } }, base64.map(function (b64, index) { return (react_1.default.createElement(Container, { key: b64 },
        react_1.default.createElement(ImageWrapper, { url: b64 },
            react_1.default.createElement(ButtonWrapper, null,
                react_1.default.createElement(antd_1.Button, { danger: true, onClick: function () { return onRemove(index); } }, "Odstranit"))))); })));
};
exports.default = ImagePreview;
var templateObject_1, templateObject_2, templateObject_3;
