"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var react_1 = __importDefault(require("react"));
// TODO: ref here is a bit tricky to type
var Input = react_1.default.forwardRef(function (props, ref) {
    var inputProps = {
        ref: ref,
        name: props.name,
        disabled: props.disabled,
        placeholder: props.placeholder,
        value: props.value,
        type: props.type,
        onBlur: props.onBlur,
        onFocus: props.onFocus,
        onChange: props.onChange,
    };
    if (props.type === 'password') {
        return react_1.default.createElement(antd_1.Input.Password, __assign({}, inputProps));
    }
    return react_1.default.createElement(antd_1.Input, __assign({}, inputProps));
});
Input.displayName = 'Input';
exports.default = Input;
