import React from 'react';
interface IProps {
    name: string;
    label?: string;
    placeholder?: string;
    disabled?: boolean;
    value: string;
    options: {
        value: string;
        label?: string;
    }[];
    error?: string;
    onChange: (value: string) => void;
    onFocus?: (event: React.FocusEvent<HTMLSelectElement>) => void;
    onBlur?: (event: React.FocusEvent<HTMLSelectElement>) => void;
}
declare const Select: React.ForwardRefExoticComponent<IProps & React.RefAttributes<any>>;
export default Select;
