"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Horizontal = exports.Default = void 0;
var addon_actions_1 = require("@storybook/addon-actions");
var react_1 = __importDefault(require("react"));
var Form_1 = __importDefault(require("../Form"));
var metaforms_1 = require("metaforms");
var Default = function () { return (react_1.default.createElement(Form_1.default, { fields: [
        (0, metaforms_1.getLayoutMeta)({
            fields: [
                (0, metaforms_1.getTextMeta)({
                    name: 'term',
                    label: 'Search term'
                }),
                (0, metaforms_1.getCheckboxMeta)({
                    name: 'valid',
                    label: 'Valid'
                })
            ]
        }),
        (0, metaforms_1.getSubmitMeta)({
            name: 'submit',
            label: 'Login',
        })
    ], onSubmit: function (values, helpers) {
        (0, addon_actions_1.action)('onSubmit')(values);
        helpers.setSubmitting(false);
    } })); };
exports.Default = Default;
var Horizontal = function () { return (react_1.default.createElement(Form_1.default, { fields: [
        (0, metaforms_1.getLayoutMeta)({
            render: 'horizontal',
            fields: [
                (0, metaforms_1.getTextMeta)({
                    name: 'term',
                    label: 'Search term'
                }),
                (0, metaforms_1.getCheckboxMeta)({
                    name: 'valid',
                    label: 'Valid'
                })
            ]
        }),
        (0, metaforms_1.getSubmitMeta)({
            name: 'submit',
            label: 'Login',
        })
    ], onSubmit: function (values, helpers) {
        (0, addon_actions_1.action)('onSubmit')(values);
        helpers.setSubmitting(false);
    } })); };
exports.Horizontal = Horizontal;
exports.default = {
    title: 'AntdForm/Layout',
};
