"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var react_1 = __importDefault(require("react"));
var Form_1 = __importDefault(require("../core/Form"));
var getComponent_1 = require("./getComponent");
var Form = function (_a) {
    var fields = _a.fields, onSubmit = _a.onSubmit, formikProps = _a.formikProps, size = _a.size, initialValues = _a.initialValues, onAction = _a.onAction, _b = _a.layout, layout = _b === void 0 ? 'vertical' : _b;
    return (react_1.default.createElement(antd_1.Form, { layout: layout, size: size, component: "div" },
        react_1.default.createElement(Form_1.default, { values: initialValues, onSubmit: onSubmit, fields: fields, formikProps: formikProps, components: getComponent_1.getComponent, onAction: onAction })));
};
exports.default = Form;
