"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var DeleteOutlined_1 = __importDefault(require("@ant-design/icons/DeleteOutlined"));
var PlusOutlined_1 = __importDefault(require("@ant-design/icons/PlusOutlined"));
var react_1 = __importDefault(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var metaforms_1 = require("metaforms");
var ramda_1 = require("ramda");
var Child = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex; \n  align-items: center;\n  column-gap: 1em;\n  \n  & + & {\n    margin-top: 1em;\n  }\n"], ["\n  display: flex; \n  align-items: center;\n  column-gap: 1em;\n  \n  & + & {\n    margin-top: 1em;\n  }\n"])));
var ChildComponent = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  width: 100%;\n  border: 1px solid #eee;\n  padding: 1em;\n"], ["\n  width: 100%;\n  border: 1px solid #eee;\n  padding: 1em;\n"])));
var AddBtn = (0, styled_components_1.default)(antd_1.Form.Item)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  text-align: center;\n  padding: 1em;\n"], ["\n  text-align: center;\n  padding: 1em;\n"])));
var ArrayControl = function (_a) {
    var children = _a.children, arrayHelpers = _a.arrayHelpers, field = _a.field, form = _a.form, meta = _a.meta;
    var hasError = meta.error && typeof meta.error === 'string';
    var required = (0, ramda_1.has)('validation', field) && (0, metaforms_1.isRequired)(field.validation);
    var initialValues = (0, ramda_1.has)('arrayInitialValues', field) ? field.arrayInitialValues : null;
    return (react_1.default.createElement(react_1.default.Fragment, null, children === null || children === void 0 ? void 0 :
        children.map(function (c, index) { return (react_1.default.createElement(Child, { key: index },
            react_1.default.createElement(ChildComponent, null, c),
            react_1.default.createElement(antd_1.Button, { danger: true, size: "small", icon: react_1.default.createElement(DeleteOutlined_1.default, null), shape: "circle", onClick: function () { return arrayHelpers.remove(index); }, disabled: form.isSubmitting }))); }),
        react_1.default.createElement(AddBtn, { required: required, validateStatus: hasError ? 'error' : undefined, help: hasError ? meta.error : undefined },
            react_1.default.createElement(antd_1.Button, { size: "small", style: hasError ? { borderColor: '#ff4d4f', color: '#ff4d4f' } : undefined, onClick: function () { return arrayHelpers.push(initialValues); }, icon: react_1.default.createElement(PlusOutlined_1.default, null), disabled: form.isSubmitting }, (0, ramda_1.has)('label', field) ? field.label : null))));
};
exports.default = ArrayControl;
var templateObject_1, templateObject_2, templateObject_3;
