"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var metaforms_1 = require("metaforms");
var react_1 = __importDefault(require("react"));
var FormItem = function (_a) {
    var children = _a.children, label = _a.label, errorMessage = _a.errorMessage, validation = _a.validation, align = _a.align;
    return (react_1.default.createElement(antd_1.Form.Item, { required: (0, metaforms_1.isRequired)(validation), validateStatus: errorMessage ? 'error' : undefined, help: errorMessage, label: label, style: align === 'right' ? { textAlign: 'end' } : undefined }, children));
};
exports.default = FormItem;
