interface ICommonProps {
    name: string;
    error?: string;
    label?: string;
}
interface IImageUploadMultipleProps extends ICommonProps {
    value: string[];
    multiple: true;
    onChange: (value: string[]) => void;
}
interface IImageUploadSingleProps extends ICommonProps {
    value: string;
    multiple: false;
    onChange: (value: string | undefined) => void;
}
export declare type ImageUploadProps = IImageUploadMultipleProps | IImageUploadSingleProps;
declare const ImageUpload: (props: ImageUploadProps) => JSX.Element;
export default ImageUpload;
