import React from 'react';
import { MultiSelectMetaProps } from 'metaforms';
declare type MultiSelectMetaValue = string | number;
interface ICheckboxListProps extends Omit<MultiSelectMetaProps, 'type'> {
    size?: 'default' | 'large' | 'small';
    onChange: (value: MultiSelectMetaValue[]) => void;
    onFocus?: (event: React.FocusEvent<HTMLInputElement>) => void;
    onBlur?: (event: React.FocusEvent<HTMLInputElement>) => void;
    showSelectedCounter?: boolean;
    showFilterInput?: boolean;
    value: MultiSelectMetaValue[];
}
declare const Multiselect: React.ForwardRefExoticComponent<ICheckboxListProps & React.RefAttributes<any>>;
export default Multiselect;
