"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var antd_1 = require("antd");
var react_1 = __importDefault(require("react"));
var metaforms_1 = require("metaforms");
var formik_1 = require("formik");
var styled_components_1 = __importDefault(require("styled-components"));
var NoLabel = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    .ant-form-item-label {\n      display: none;\n    }\n"], ["\n    .ant-form-item-label {\n      display: none;\n    }\n"])));
var ACTIVE_TAB_KEY = '__active';
var ObjectControl = function (props) {
    var meta = props.meta, field = props.field, children = props.children;
    var hasError = meta.error && typeof meta.error === 'string';
    var fieldName = field.name.endsWith('.') ? field.name.slice(0, -1) : field.name;
    var fieldValue = (0, formik_1.getIn)(props.form.values, fieldName);
    var handleChange = function (activeKey) {
        var _a;
        return props.form.setFieldValue(fieldName, __assign(__assign({}, fieldValue), (_a = {}, _a[ACTIVE_TAB_KEY] = activeKey, _a)));
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(antd_1.Divider, { orientation: "center", plain: true, style: { margin: '4px' } }, (field.label || hasError) && react_1.default.createElement("div", { className: "ant-form-item-label", style: {
                padding: 0,
                display: 'flex',
                columnGap: '1em',
                whiteSpace: 'nowrap'
            } },
            react_1.default.createElement("label", { title: field.label, style: { fontWeight: 500 }, className: (0, metaforms_1.isRequired)(field.validation) ? 'ant-form-item-required' : '' }, field.label),
            hasError && react_1.default.createElement("span", { className: "ant-form-item-explain-error" }, meta.error))),
        props.field.render === 'tabs' ?
            react_1.default.createElement(antd_1.Tabs, { onChange: handleChange, defaultActiveKey: (0, formik_1.getIn)(fieldValue, ACTIVE_TAB_KEY), activeKey: props.field.activeTab }, children.map(function (c, i) {
                return react_1.default.createElement(antd_1.Tabs.TabPane, { key: field.fields[i].name, tab: field.fields[i]['label'] },
                    react_1.default.createElement(NoLabel, null, c));
            })) :
            react_1.default.createElement(react_1.default.Fragment, null, children)));
};
exports.default = ObjectControl;
var templateObject_1;
